import { getMonthNames } from './getMonthNames';

describe('getMonthNames', () => {
  it('returns all months', () => {
    expect(getMonthNames()).toHaveLength(12);
  });

  it('starts with January and ends with December', () => {
    const months = getMonthNames('en', 'long');
    expect(months[0]).toBe('January');
    expect(months.at(-1)).toBe('December');
  });

  it('gets localized month names', () => {
    const months = getMonthNames('fr', 'long');
    expect(months[0]).toBe('janvier');
  });
});
